/* 수입 삭제 */
function doDeleteIncome(deal_srl) {
      var fo_obj = xGetElementById("fo_deal");
      if(!fo_obj) return;
      fo_obj.deal_srl.value = deal_srl;
      procFilter(fo_obj, delete_income);
}

/* 수입, 지출 삭제 후 */ 
function completeDeleteDeal(ret_obj) {
	// controller에서 넘어온 값 설정
    var error = ret_obj['error'];
    var message = ret_obj['message'];
    var returnUrl = ret_obj['ret_act'];
    // 메시지표시
    alert(message);
    // 목록으로이동
    var url = current_url.setQuery('act',returnUrl);
    location.href = url;
}

/* 지출 삭제 */
function doDeleteOutgo(deal_srl) {
      var fo_obj = xGetElementById("fo_deal");
      if(!fo_obj) return;
      fo_obj.deal_srl.value = deal_srl;
      procFilter(fo_obj, delete_outgo);
}

/* 이체 삭제 */
function doDeleteTransfer(transfer_srl) {
      var fo_obj = xGetElementById("fo_deal");
      if(!fo_obj) return;
      fo_obj.transfer_srl.value = transfer_srl;
      procFilter(fo_obj, delete_transfer);
}

/* 이체 삭제 후 */ 
function completeDeleteTransfer(ret_obj) {
	alert(ret_obj['message']);
    var returnUrl = ret_obj['ret_act'];
    // 목록으로이동
    location.href = current_url.setQuery('act',returnUrl);
}